org.red5.io

## Interface IKeyFrameMetaCache

All Known Implementing Classes:
  CachingFileKeyFrameMetaCache, FileKeyFrameMetaCache

    public interface IKeyFrameMetaCache

Interface defining a cache for keyframe metadata informations.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Method Summary

Methods
`IKeyFrameDataAnalyzer.KeyFrameMeta` `loadKeyFrameMeta(File file)` Load keyframe informations for the given file.
`void` `saveKeyFrameMeta(File file, IKeyFrameDataAnalyzer.KeyFrameMeta meta)` Store keyframe informations for the given file.

### Method Detail

#### loadKeyFrameMeta

    IKeyFrameDataAnalyzer.KeyFrameMeta loadKeyFrameMeta(File file)

Load keyframe informations for the given file.

Parameters:
  `file` - File to load informations for.
Returns:
  The keyframe informations or `null` if none exist.

#### saveKeyFrameMeta

    void saveKeyFrameMeta(File file,
                        IKeyFrameDataAnalyzer.KeyFrameMeta meta)

Store keyframe informations for the given file.

Parameters:
  `file` - File to save informations for.
  `meta` - Keyframe informations for this file.